<?php

if (
	($_POST['algo'] !== '8')
	AND ($_POST['algo'] !== '13')
	AND ($_POST['algo'] !== '14')
	AND ($_POST['algo'] !== '15')
	AND ($_POST['algo'] !== '16')
) output(403, 'Wrong value for <code>algo</code>.');

$_POST['keytag'] = intval($_POST['keytag']);
if ((!preg_match('/^[0-9]{1,6}$/D', $_POST['keytag'])) OR !($_POST['keytag'] >= 1) OR !($_POST['keytag'] <= 65535))
	output(403, 'Wrong value for <code>keytag</code>.');

if ($_POST['dt'] !== '2' AND $_POST['dt'] !== '4')
	output(403, 'Wrong value for <code>dt</code>.');

regCheckDomainPossession($_POST['zone']);

knotcZoneExec(regParseDomain($_POST['zone'])['suffix'], [
	$_POST['zone'],
	CONF['reg']['ttl'],
	'DS',
	$_POST['keytag'],
	$_POST['algo'],
	$_POST['dt'],
	$_POST['key']
]);

output(200, _('Modification done.'));
