<form method="post">
	<label for="action"><?= _('Action') ?></label>
	<select name="action" id="action">
		<option value="add"><?= _('Add') ?></option>
		<option value="delete"><?= _('Delete') ?></option>
	</select>
	<fieldset>
		<legend><?= _('Domain') ?></legend>
		<div>
			<label for="subdomain"><?= _('Subdomain') ?></label>
			<br>
			<input required="" id="subdomain" placeholder="ns1" name="subdomain" type="text">
		</div>
		<div>
			<label for="suffix"><?= _('Domain') ?></label>
			<br>
			<select required="" name="suffix" id="suffix">
				<option value="" disabled="" selected="">—</option>
<?php
foreach (regListUserDomains() as $suffix)
	echo '		<option value="' . $suffix . '">' . $suffix . '</option>' . LF;
?>
			</select>
		</div>
	</fieldset>
	<label for="ip"><?= _('IP address') ?></label><br>
	<input required="" pattern="^[a-f0-9:.]+$" id="ip" name="ip" minlength="2" maxlength="39" size="40" type="text" placeholder="<?= sprintf(_('%1$s or %2$s'), PLACEHOLDER_IPV6, PLACEHOLDER_IPV4) ?>">
	<br>
	<input type="submit" value="<?= _('Apply') ?>">
</form>
