	<label for="action"><?= _('Action') ?></label>
	<select name="action" id="action">
		<option value="add"><?= _('Add') ?></option>
		<option value="delete"><?= _('Delete') ?></option>
	</select>

	<fieldset>
		<legend><?= _('Domain') ?></legend>
		<div>
			<label for="subdomain"><?= _('Subdomain') ?></label>
			<br>
			<input id="subdomain" size="16" placeholder="www" pattern="^(([a-z0-9_-]{1,63}\.?){1,127})|(@){1}$" name="subdomain" type="text">
		</div>
		<div>
			<label for="zone"><?= _('Zone') ?></label>
			<br>
			<select required="" name="zone" id="zone">
				<option value="" disabled="" selected="">-</option>
<?php
foreach (nsListUserZones() as $zone)
	echo "<option value='" . $zone . "'>" . $zone . "</option>";
?>

			</select>
		</div>
	</fieldset>

	<fieldset>
		<legend><abbr title="Time To Live"><?= _('TTL') ?></abbr></legend>
		<div>
			<label for="ttl-value"><?= _('Value') ?></label>
			<br>
			<input required="" id="ttl-value" list="ttls" name="ttl-value" size="6" type="number" min="1" max="432000" value="<?= DEFAULT_TTL ?>" placeholder="<?= DEFAULT_TTL ?>">
			<datalist id="ttls">
				<option value="900">
				<option value="1800">
				<option value="3600">
				<option value="10800">
				<option value="21600">
				<option value="86400">
				<option value="432000">
			</datalist>
		</div>
		<div>
			<label for="ttl-multiplier"><?= _('Unit') ?></label>
			<br>
			<select required="" name="ttl-multiplier" id="ttl-multiplier">
				<option value="1"><?= _('second') ?></option>
				<option value="60"><?= _('minute') ?></option>
				<option value="3600"><?= _('hour') ?></option>
				<option value="86400"><?= _('day') ?></option>
			</select>
		</div>
	</fieldset>
